App\Library\Amazon\Classes\Computers\ProductTypeAType:
    properties:
        carryingCaseOrBag:
            expose: true
            access_type: public_method
            serialized_name: CarryingCaseOrBag
            accessor:
                getter: getCarryingCaseOrBag
                setter: setCarryingCaseOrBag
            type: App\Library\Amazon\Classes\CarryingCaseOrBag
        computerAddOn:
            expose: true
            access_type: public_method
            serialized_name: ComputerAddOn
            accessor:
                getter: getComputerAddOn
                setter: setComputerAddOn
            type: App\Library\Amazon\Classes\ComputerAddOn
        computerComponent:
            expose: true
            access_type: public_method
            serialized_name: ComputerComponent
            accessor:
                getter: getComputerComponent
                setter: setComputerComponent
            type: App\Library\Amazon\Classes\ComputerComponent
        computerCoolingDevice:
            expose: true
            access_type: public_method
            serialized_name: ComputerCoolingDevice
            accessor:
                getter: getComputerCoolingDevice
                setter: setComputerCoolingDevice
            type: App\Library\Amazon\Classes\ComputerCoolingDevice
        computerDriveOrStorage:
            expose: true
            access_type: public_method
            serialized_name: ComputerDriveOrStorage
            accessor:
                getter: getComputerDriveOrStorage
                setter: setComputerDriveOrStorage
            type: App\Library\Amazon\Classes\ComputerDriveOrStorage
        computerInputDevice:
            expose: true
            access_type: public_method
            serialized_name: ComputerInputDevice
            accessor:
                getter: getComputerInputDevice
                setter: setComputerInputDevice
            type: App\Library\Amazon\Classes\ComputerInputDevice
        computerProcessor:
            expose: true
            access_type: public_method
            serialized_name: ComputerProcessor
            accessor:
                getter: getComputerProcessor
                setter: setComputerProcessor
            type: App\Library\Amazon\Classes\ComputerProcessor
        computerSpeaker:
            expose: true
            access_type: public_method
            serialized_name: ComputerSpeaker
            accessor:
                getter: getComputerSpeaker
                setter: setComputerSpeaker
            type: App\Library\Amazon\Classes\ComputerSpeaker
        computer:
            expose: true
            access_type: public_method
            serialized_name: Computer
            accessor:
                getter: getComputer
                setter: setComputer
            type: App\Library\Amazon\Classes\Computer
        flashMemory:
            expose: true
            access_type: public_method
            serialized_name: FlashMemory
            accessor:
                getter: getFlashMemory
                setter: setFlashMemory
            type: App\Library\Amazon\Classes\FlashMemory
        inkOrToner:
            expose: true
            access_type: public_method
            serialized_name: InkOrToner
            accessor:
                getter: getInkOrToner
                setter: setInkOrToner
            type: App\Library\Amazon\Classes\InkOrToner
        keyboards:
            expose: true
            access_type: public_method
            serialized_name: Keyboards
            accessor:
                getter: getKeyboards
                setter: setKeyboards
            type: App\Library\Amazon\Classes\Keyboards
        memoryReader:
            expose: true
            access_type: public_method
            serialized_name: MemoryReader
            accessor:
                getter: getMemoryReader
                setter: setMemoryReader
            type: App\Library\Amazon\Classes\MemoryReader
        monitor:
            expose: true
            access_type: public_method
            serialized_name: Monitor
            accessor:
                getter: getMonitor
                setter: setMonitor
            type: App\Library\Amazon\Classes\Monitor
        motherboard:
            expose: true
            access_type: public_method
            serialized_name: Motherboard
            accessor:
                getter: getMotherboard
                setter: setMotherboard
            type: App\Library\Amazon\Classes\Motherboard
        networkingDevice:
            expose: true
            access_type: public_method
            serialized_name: NetworkingDevice
            accessor:
                getter: getNetworkingDevice
                setter: setNetworkingDevice
            type: App\Library\Amazon\Classes\NetworkingDevice
        notebookComputer:
            expose: true
            access_type: public_method
            serialized_name: NotebookComputer
            accessor:
                getter: getNotebookComputer
                setter: setNotebookComputer
            type: App\Library\Amazon\Classes\NotebookComputer
        personalComputer:
            expose: true
            access_type: public_method
            serialized_name: PersonalComputer
            accessor:
                getter: getPersonalComputer
                setter: setPersonalComputer
            type: App\Library\Amazon\Classes\PersonalComputer
        printer:
            expose: true
            access_type: public_method
            serialized_name: Printer
            accessor:
                getter: getPrinter
                setter: setPrinter
            type: App\Library\Amazon\Classes\Printer
        ramMemory:
            expose: true
            access_type: public_method
            serialized_name: RamMemory
            accessor:
                getter: getRamMemory
                setter: setRamMemory
            type: App\Library\Amazon\Classes\RamMemory
        scanner:
            expose: true
            access_type: public_method
            serialized_name: Scanner
            accessor:
                getter: getScanner
                setter: setScanner
            type: App\Library\Amazon\Classes\Scanner
        soundCard:
            expose: true
            access_type: public_method
            serialized_name: SoundCard
            accessor:
                getter: getSoundCard
                setter: setSoundCard
            type: App\Library\Amazon\Classes\SoundCard
        systemCabinet:
            expose: true
            access_type: public_method
            serialized_name: SystemCabinet
            accessor:
                getter: getSystemCabinet
                setter: setSystemCabinet
            type: App\Library\Amazon\Classes\SystemCabinet
        systemPowerDevice:
            expose: true
            access_type: public_method
            serialized_name: SystemPowerDevice
            accessor:
                getter: getSystemPowerDevice
                setter: setSystemPowerDevice
            type: App\Library\Amazon\Classes\SystemPowerDevice
        tabletComputer:
            expose: true
            access_type: public_method
            serialized_name: TabletComputer
            accessor:
                getter: getTabletComputer
                setter: setTabletComputer
            type: App\Library\Amazon\Classes\TabletComputer
        videoCard:
            expose: true
            access_type: public_method
            serialized_name: VideoCard
            accessor:
                getter: getVideoCard
                setter: setVideoCard
            type: App\Library\Amazon\Classes\VideoCard
        videoProjector:
            expose: true
            access_type: public_method
            serialized_name: VideoProjector
            accessor:
                getter: getVideoProjector
                setter: setVideoProjector
            type: App\Library\Amazon\Classes\VideoProjector
        webcam:
            expose: true
            access_type: public_method
            serialized_name: Webcam
            accessor:
                getter: getWebcam
                setter: setWebcam
            type: App\Library\Amazon\Classes\Webcam
